
Figure - Bug #112054
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111045 (New): AF-V2.0-蓝牙接入兼容性

【AF】【EVT】【蓝牙】连接蓝牙鼠标成功后，Settings应用闪退
2022-09-21 11:15 - CD Test赵飞

Status: CLOSED Start date: 2022-09-21

Priority: High Due date: 2022-09-23

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220921.alpha

Resolution: FIXED Degrated: --

Severity: Critical Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220929.alpha_0024

Reproducibility: Every time Fixed Version: 2022-09-28

Test Type: IT Root cause: 已经修复此问题，此问题是因为settings 一栏变两栏引起的问题。��设备链接之后，无法找到对应的activity，导致的crash

Description

测试版本：FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220921.alpha

【前提条件】

1、设备已开机，蓝牙开关已打开

2、准备一个蓝牙鼠标

【测试步骤】

1、进入设置 - 已连接的设备

2、点击“与新设备配对”

3、搜索蓝牙鼠标并选择与本其配对

【预期结果】

3、DUT与蓝牙鼠标成功配对连接，页面无其他异常

【实际结果】

3、DUT与蓝牙鼠标成功配对连接，但是Settings应用发生闪退

【复现率】

5/5

【Log】

见附件

【Note】

1、断开连接、取消保存时，也会发生settings应用闪退

2、连接蓝牙耳机、蓝牙键盘时没有此现象

History

#1 - 2022-09-23 14:27 - CDTS_TEST 王成

- Target version set to VX1_MCE_FSE_V2.0_20220930

#2 - 2022-09-23 17:43 - CD LC-徐玺栋

- Status changed from New to ASSIGNED
日志中出现空指针异常错误

09-21 19:28:45.685 E/AndroidRuntime( 8794): java.lang.RuntimeException: Unable to start activity

ComponentInfo{com.android.settings/com.android.settings.homepage.SettingsHomepageActivity}: java.lang.NullPointerException: Attempt to invoke virtual method

'void com.google.android.material.appbar.CollapsingToolbarLayout.setTitle(java.lang.CharSequence)' on a null object reference

下一步计划：

调查出现异常的方法调用

#3 - 2022-09-27 16:48 - CD LC-徐玺栋

当前进展：

经过复测发现可以正常连接蓝牙鼠标也不会闪退，但是不管是蓝牙耳机还是蓝牙鼠标或等其他设备，只有点击取消保存时Settings应用才发生闪退，连接

或者断开连接都不会造成闪退；

下一步计划：

已经抓取并分析日志，调查中；

#4 - 2022-09-27 20:04 - CDTS_TEST 王成

- Severity changed from Major to Critical

#5 - 2022-09-28 15:09 - CD APP-王营

- Assignee changed from CD LC-徐玺栋 to CD AF-陈羽杰

Settings应用crash，请分析一下这个问题

09-21 19:29:32.864 E/AndroidRuntime( 9029): FATAL EXCEPTION: main

09-21 19:29:32.864 E/AndroidRuntime( 9029): Process: com.android.settings, PID: 9029

09-21 19:29:32.864 E/AndroidRuntime( 9029): java.lang.RuntimeException: Unable to start activity

ComponentInfo{com.android.settings/com.android.settings.homepage.SettingsHomepageActivity}: java.lang.NullPointerException: Attempt to invoke virtual method

'void com.google.android.material.appbar.CollapsingToolbarLayout.setTitle(java.lang.CharSequence)' on a null object reference

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:3636)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:3793)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at android.app.ActivityThread.handleRelaunchActivityInner(ActivityThread.java:5739)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at android.app.ActivityThread.handleRelaunchActivity(ActivityThread.java:5631)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at android.app.servertransaction.ActivityRelaunchItem.execute(ActivityRelaunchItem.java:71)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at android.app.servertransaction.ActivityTransactionItem.execute(ActivityTransactionItem.java:45)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at android.app.servertransaction.TransactionExecutor.executeCallbacks(TransactionExecutor.java:135)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at android.app.servertransaction.TransactionExecutor.execute(TransactionExecutor.java:95)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2211)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at android.os.Handler.dispatchMessage(Handler.java:106)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at android.os.Looper.loopOnce(Looper.java:201)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at android.os.Looper.loop(Looper.java:288)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at android.app.ActivityThread.main(ActivityThread.java:7880)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at java.lang.reflect.Method.invoke(Native Method)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

09-21 19:29:32.864 E/AndroidRuntime( 9029): Caused by: java.lang.NullPointerException: Attempt to invoke virtual method 'void

com.google.android.material.appbar.CollapsingToolbarLayout.setTitle(java.lang.CharSequence)' on a null object reference

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at com.android.settings.homepage.SettingsHomepageActivity.setSettingsDetailsTitle(SettingsHomepageActivity.java:288)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at

com.android.settings.homepage.SettingsHomepageActivity.changeSettingsDetailsFragment(SettingsHomepageActivity.java:303)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at com.android.settings.homepage.TopLevelSettings.onPreferenceStartFragment(TopLevelSettings.java:102)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at com.android.settings.homepage.TopLevelSettings.onCreatePreferences(TopLevelSettings.java:126)
09-21 19:29:32.864 E/AndroidRuntime( 9029):     at androidx.preference.PreferenceFragmentCompat.onCreate(PreferenceFragmentCompat.java:161)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at

com.android.settingslib.core.lifecycle.ObservablePreferenceFragment.onCreate(ObservablePreferenceFragment.java:61)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at com.android.settings.SettingsPreferenceFragment.onCreate(SettingsPreferenceFragment.java:127)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at com.android.settings.dashboard.DashboardFragment.onCreate(DashboardFragment.java:150)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at androidx.fragment.app.Fragment.performCreate(Fragment.java:2939)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at androidx.fragment.app.FragmentStateManager.create(FragmentStateManager.java:451)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at androidx.fragment.app.FragmentStateManager.moveToExpectedState(FragmentStateManager.java:254)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at androidx.fragment.app.FragmentStore.moveToExpectedState(FragmentStore.java:112)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at androidx.fragment.app.FragmentManager.moveToState(FragmentManager.java:1667)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at androidx.fragment.app.FragmentManager.dispatchStateChange(FragmentManager.java:3234)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at androidx.fragment.app.FragmentManager.dispatchCreate(FragmentManager.java:3167)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at androidx.fragment.app.FragmentController.dispatchCreate(FragmentController.java:240)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at androidx.fragment.app.FragmentActivity.onCreate(FragmentActivity.java:272)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at com.android.settings.homepage.SettingsHomepageActivity.onCreate(SettingsHomepageActivity.java:122)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at android.app.Activity.performCreate(Activity.java:8070)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at android.app.Activity.performCreate(Activity.java:8050)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at android.app.Instrumentation.callActivityOnCreate(Instrumentation.java:1330)

09-21 19:29:32.864 E/AndroidRuntime( 9029):     at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:3609)

#6 - 2022-09-28 17:57 - CD LC 陶洪普

- Category changed from LC to CD-FW

#7 - 2022-09-28 20:52 - CD FW-王伟

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD AF-陈羽杰 to CD Test赵飞

- Resolution changed from -- to FIXED

- Fixed Version set to 2022-09-28

- Root cause set to 已经修复此问题，此问题是因为settings 一栏变两栏引起的问题。

设备链接之后，无法找到对应的activity，导致的crash

■ Current conclusion

已经修复此问题，此问题是因为settings 一栏变两栏引起的问题。

设备链接之后，无法找到对应的activity，导致的crash

■ My analysis

■ Next action / ■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/152714

#8 - 2022-09-29 14:30 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 80

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220929.alpha_0024

验证版本：FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220929.alpha_0024

验证结果：PASS

#9 - 2022-09-29 14:31 - CD Test赵飞
- Status changed from VERIFIED to CLOSED

- % Done changed from 80 to 100

#10 - 2022-12-22 20:39 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152714 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Fix BlueTooth Crash1.Fix ForgetBlueTooth Details CrashTC-RID: 1201-0201801IssueID: TS-R-BUG-112054Change-Id:

I0416e9d60591a2f051c8d29ceb4154725e46da61

Files

logcat.txt 2.46 MB 2022-09-21 CD Test赵飞
